CATKIN_LINT(1)

NAME
catkin_lint - checks catkin packages for common errors

DESCRIPTION
usage: catkin_lint [-h] [--version] [-q] [-W LEVEL] [--ignore ID] [--strict]

    [--pkg PKG] [--skip-pkg PKG] [--package-path PATH] [--rosdistro DISTRO] [--resolve-env] [--text | --explain | --xml] [--offline] [--clear-cache] [path [path ...]]

  positional arguments:

path
    path to catkin packages

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-q, --quiet
    suppress final summary

-W LEVEL
    set warning level (0-2)

--ignore ID
    ignore diagnostic message ID

--strict
    treat warnings as errors

--pkg PKG
    specify catkin package by name (can be used multiple times)

--skip-pkg PKG
    skip testing a catkin package (can be used multiple times)

--package-path PATH
    additional package path (separate multiple locations with ':')

--rosdistro DISTRO
    override ROS distribution (default: ROS_DISTRO environment variable)

--resolve-env
    resolve $ENV{} references from environment variables

--text
    output result as text (default)

--explain
    output result as text with explanations

--xml
    output result as XML

--offline
    do not download package index to look for packages

--clear-cache
    clear internal cache and invalidate all downloaded manifests